Bug 95529

Summary: [chromium] Rename WebViewClient::handleDisambiguationPopup
Product: WebKit Reporter: Tien-Ren Chen <trchen>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, fishd, jamesr, tkent+wkapi, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Tien-Ren Chen 2012-08-30 23:25:32 PDT
[chromium] Rename WebViewClient::handleDisambiguationPopup
Comment 1 Tien-Ren Chen 2012-08-30 23:26:46 PDT
Created attachment 161622 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-30 23:28:10 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 Adam Barth 2012-08-31 11:36:13 PDT
Comment on attachment 161622 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=161622&action=review

> Source/WebKit/chromium/public/WebViewClient.h:291
> -    virtual bool handleDisambiguationPopup(const WebGestureEvent&, const WebVector<WebRect>& targetRects) { return false; }
> +    virtual bool multipleTargetsTapped(const WebGestureEvent&, const WebVector<WebRect>& targetRects) { return false; }

didTapMultipleTargets or willTapMultipleTargets?
Comment 4 Darin Fisher (:fishd, Google) 2012-08-31 15:51:18 PDT
Comment on attachment 161622 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=161622&action=review

>> Source/WebKit/chromium/public/WebViewClient.h:291
>> +    virtual bool multipleTargetsTapped(const WebGestureEvent&, const WebVector<WebRect>& targetRects) { return false; }
> 
> didTapMultipleTargets or willTapMultipleTargets?

+1 ... probably didTap* since this is called from handleGestureEvent.  The tap already happened.
Comment 5 Tien-Ren Chen 2012-08-31 16:59:02 PDT
Created attachment 161792 [details]
Patch
Comment 6 WebKit Review Bot 2012-09-04 13:25:23 PDT
Comment on attachment 161792 [details]
Patch

Clearing flags on attachment: 161792

Committed r127494: <http://trac.webkit.org/changeset/127494>
Comment 7 WebKit Review Bot 2012-09-04 13:25:26 PDT
All reviewed patches have been landed.  Closing bug.